<template>
  <b-row class="h-100">
    <b-colxx xxs="12" md=10  class="mx-auto my-auto">
      <b-card class="auth-card" no-body>

          <div class="form-side">
            <!-- <router-link tag="a" to="/"><span class="logo-single"/></router-link> -->
            <h6 class="mb-4">{{ $t('user.register')}}</h6>
            <b-form @submit.prevent="formSubmit">
               <label class="form-group has-float-label mb-4">
                <input type="text" class="form-control" v-model="user.username">
                <span>{{ $t('user.username') }}</span>
              </label>
              <label class="form-group has-float-label mb-4">
                <input type="text" class="form-control" v-model="user.firstname">
                <span>{{ $t('user.firstname') }}</span>
              </label>
                  <label class="form-group has-float-label mb-4">
                <input type="text" class="form-control" v-model="user.lastname">
                <span>{{ $t('user.lastname') }}</span>
              </label>
              <label class="form-group has-float-label mb-4">
                <input type="email" class="form-control" v-model="user.email">
                <span>{{ $t('user.email') }}</span>
              </label>
              <label class="form-group has-float-label mb-4">
                <input type="password" class="form-control" v-model="user.password">
                <span>{{ $t('user.password') }}</span>
              </label>
              <div class="d-flex justify-content-end align-items-center">

                <router-link to="/user/login" class="mr-4"><b-button type="submit" variant="primary" size="lg" class="btn-shadow" >Login</b-button></router-link>
                  <b-button type="submit" variant="primary" size="lg" class="btn-shadow">{{ $t('user.register-button')}}</b-button>
              </div>
          </b-form>
        </div>
      </b-card>
    </b-colxx>
  </b-row>
</template>
<script>
import { mapGetters, mapActions } from 'vuex'

export default {
  data () {
    return {
      user: {
        username: '',
        firstname: '',
        lastname: '',
        email: '',
        password: '',
        birthday: '' }
    }
  },
  computed: {
    ...mapGetters(['currentUser', 'processing', 'loginError', 'signupStatus'])
  },
  methods: {
    ...mapActions(['signIn']),
    formSubmit () {
      this.signIn(this.user).then(res => this.$router.push('/user/login'))
      // .catch(err => console.log('pas', err))
    }
  },
  watch: {
    signupStatus (val) {
      if (val != null) {
        this.$notify('error', 'Erreur d\'inscription', val, { duration: 3000, permanent: false })
      } else {
        this.$notify('success', 'Inscription réussi', val, { duration: 3000, permanent: false })
      }
    }
  }
}
</script>

<style scoped>
h6 {
  text-align: center;
}
  .form-side {
    width: 100%;
  }
</style>
